Update Document By External Id
curl --request PATCH \
--url https://api.fieldwise.ai/api/v1/documents/external/{external_id}/metadata \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"metadata": {
"author": "John Doe",
"category": "research",
"tags": [
"machine-learning",
"embeddings"
]
}
}
'import requests
url = "https://api.fieldwise.ai/api/v1/documents/external/{external_id}/metadata"
payload = { "metadata": {
"author": "John Doe",
"category": "research",
"tags": ["machine-learning", "embeddings"]
} }
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
metadata: {
author: 'John Doe',
category: 'research',
tags: ['machine-learning', 'embeddings']
}
})
};
fetch('https://api.fieldwise.ai/api/v1/documents/external/{external_id}/metadata', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"status": true,
"data": {
"id": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"external_id": "<string>",
"file_path": "<string>",
"file_url": "<string>",
"document_metadata": {}
}
},
"success": true,
"error": {
"error_code": "RESOURCE_NOT_FOUND",
"message": "Resource not found"
},
"meta": {
"timestamp": "2023-11-07T05:31:56Z",
"version": "1.0"
}
}{
"error_code": "RESOURCE_NOT_FOUND",
"message": "Resource not found"
}{
"error_code": "RESOURCE_NOT_FOUND",
"message": "Resource not found"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"error_code": "RESOURCE_NOT_FOUND",
"message": "Resource not found"
}Documents
Update Document By External Id
Update a single document by its external ID.
PATCH
/
api
/
v1
/
documents
/
external
/
{external_id}
/
metadata
Update Document By External Id
Authorizations
Headers
Path Parameters
Body
application/json
Request model for updating documents.
Document metadata (must be primitive types, arrays, or nested objects)
Response
Successful Response
Response data
Show child attributes
Show child attributes
Schema for API error responses.
Show child attributes
Show child attributes
Example:
{
"error_code": "RESOURCE_NOT_FOUND",
"message": "Resource not found"
}Metadata for API responses
Show child attributes
Show child attributes
⌘I